[arch-commits] Commit in gsfonts/trunk (PKGBUILD xfonts.install)

François Charette francois at archlinux.org
Thu Mar 25 21:28:34 CET 2010


    Date: Thursday, March 25, 2010 @ 16:28:33
  Author: francois
Revision: 73430

Use newer version of the fonts as provided by Fedora's package urw-fonts
Fixes FS#10593

Modified:
  gsfonts/trunk/PKGBUILD
  gsfonts/trunk/xfonts.install

----------------+
 PKGBUILD       |   24 ++++++++++++++++--------
 xfonts.install |    2 +-
 2 files changed, 17 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-25 20:11:40 UTC (rev 73429)
+++ PKGBUILD	2010-03-25 20:28:33 UTC (rev 73430)
@@ -3,19 +3,27 @@
 # Contributor: dorphell <dorphell at archlinux.org>
 
 pkgname=gsfonts
-pkgver=8.11
-pkgrel=5
-pkgdesc="Ghostscript standard Type1 fonts"
+_realname=urw-fonts
+pkgver=1.0.7pre44
+_fedoraver=2.4
+_fedorarel=9.fc13
+pkgrel=1
+pkgdesc="Ghostscript standard Type1 fonts from URW"
 arch=(any)
 url="http://sourceforge.net/projects/gs-fonts/"
 license=('GPL2')
 depends=('xorg-font-utils' 'fontconfig')
+makedepends=('rpmextract')
+provides=(${_realname})
 install=xfonts.install
-source=(http://downloads.sourceforge.net/ghostscript/ghostscript-fonts-std-8.11.tar.gz)
-md5sums=('6865682b095f8c4500c54b285ff05ef6')
+source=(http://kojipkgs.fedoraproject.org/packages/${_realname}/${_fedoraver}/${_fedorarel}/src/${_realname}-${_fedoraver}-${_fedorarel}.src.rpm)
+md5sums=('54935e7d6692792e414510490e3a0fa4')
 
 build() {
-  install -d ${startdir}/pkg/usr/share/fonts/Type1
-  install -m644 ${startdir}/src/fonts/*.{pfb,pfm,afm} \
-                ${startdir}/pkg/usr/share/fonts/Type1/ || return 1
+  cd $srcdir || return 1
+  /usr/bin/rpmextract.sh ${_realname}-${_fedoraver}-${_fedorarel}.src.rpm || return 1
+  bsdtar xf *.tar.bz2 || return 1
+  install -d ${pkgdir}/usr/share/fonts/Type1
+  install -m644 *.{pfb,pfm,afm} \
+                ${pkgdir}/usr/share/fonts/Type1/ || return 1
 }

Modified: xfonts.install
===================================================================
--- xfonts.install	2010-03-25 20:11:40 UTC (rev 73429)
+++ xfonts.install	2010-03-25 20:28:33 UTC (rev 73430)
@@ -1,6 +1,6 @@
 post_install() {
   echo -n "Updating font cache... "
-  fc-cache -f > /dev/null
+  fc-cache -sf > /dev/null
   mkfontscale /usr/share/fonts/Type1
   mkfontdir /usr/share/fonts/Type1
   echo "done."



More information about the arch-commits mailing list